# selenium.webdriver.safari.remote_connection

Classes

`SafariRemoteConnection`(remote_server_addr[, ...]) |

class selenium.webdriver.safari.remote_connection.SafariRemoteConnection(remote_server_addr: str, keep_alive: bool = True, ignore_proxy: bool = False)
  browser_name = 'safari'
  close()

    Clean up resources when finished with the remote_connection.

  execute(command, params)

    Send a command to the remote server.

    Any path substitutions required for the URL mapped to the command should be included in the command parameters.

    Args:

      - command - A string specifying the command to execute.

      - params - A dictionary of named parameters to send with the command as its JSON payload.

  classmethod get_certificate_bundle_path()
    Returns:

    Paths of the .pem encoded certificate to verify connection to command executor. Defaults to certifi.where() or REQUESTS_CA_BUNDLE env variable if set.

  classmethod get_remote_connection_headers(parsed_url, keep_alive=False)

    Get headers for remote request.

    Args:

      - parsed_url - The parsed url

      - keep_alive (Boolean) - Is this a keep-alive connection (default: False)

  classmethod get_timeout()
    Returns:

    Timeout value in seconds for all http requests made to the Remote Connection

  classmethod reset_timeout()

    Reset the http request timeout to socket._GLOBAL_DEFAULT_TIMEOUT.

  classmethod set_certificate_bundle_path(path)

    Set the path to the certificate bundle to verify connection to command executor. Can also be set to None to disable certificate validation.

    Args:

      - path - path of a .pem encoded certificate chain.

  classmethod set_timeout(timeout)

    Override the default timeout.

    Args:

      - timeout - timeout value for http requests in seconds